Bug 76492 - openoffice PDF converter produces bad fonts
openoffice PDF converter produces bad fonts
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2002-10-22 10:09 EDT by Wagner T. Correa
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-27 10:59:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wagner T. Correa 2002-10-22 10:09:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The openoffice PDF converter, which can be reached from File->Print, and then
picking 'PDF converter' as the printer name, generates PDF files that have
really ugly, aliased fonts.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download the presentation:
2. Try to print it to a PDF file using File->Print, and then picking 'PDF
converter' as the printer name.

Actual Results:  Generated PDF file will have bad fonts.

Expected Results:  Generated PDF should have nice, anti-aliased fonts.

Additional info:

When I was using Red Hat 7.3, Ximian GNOME, and openoffice 1.0.1 downloaded from
http://www.openoffice.org, I was able to generate a postscript file from
File->Print, and then generate a nice, anti-aliased PDF file using ps2pdf
without any optional arguments.  I can't do that anymore using Red Hat 8.0.
Comment 1 Geraldo Veiga 2002-10-29 13:49:31 EST
I am not sure what is meant by "bad fonts". If I use only Type I fonts in the OO
document, the resulting PDF document will include outlines of non-standard
fonts.  This produces a high quality result in any PS device.  

However, if one attempts using TrueType fonts in the document, the generic OO PS
driver will not include Type 42 fonts (TT under PS) in the .ps file.  ps2pdf
will then include Type 3 bitmap fonts in the .pdf.  This will display poorly
with the Acrobat reader -- ggv does a better job scaling Type 3 fonts to screen
resolutions. Acrobat's "Document Properties/Fonts" will give you complete
information on what fonts are actually used in the document.

The solution would be a better PS driver in Open Office.
Comment 2 Alex Butcher 2003-05-08 15:36:29 EDT
A workaround I discovered by trial and error:-

- Use ttf2pt1 <http://ttf2pt1.sourceforge.net/> to convert all your TrueType
fonts to Postscript Type 1 fonts. Store them in /usr/local/lib/X11/fonts/ttf2pt1
or similar.

- Remove references to your TrueType font directories from /etc/X11/fs/config

- Add a reference to /usr/local/lib/X11/fonts/ttf2pt1 to /etc/X11/fs/config

- Keep/Add references to your TrueType font directories to /etc/fonts/fonts.conf    
  (so as to keep screen rendering optimal).

- /etc/rc.d/init.d/xfs restart

- Try now. Ghostscript will use the equivalent Type1 fonts when it encounters a
Type42 font in the OpenOffice-generated PostScript it converts to PDF.

An alternative would be to hack the GhostScript config to include references to
the Type1 fonts, but the format of the config file isn't pleasant to generate if
you have lots of fonts. If/When xfs becomes integrated with fontconfig, it'll
have to be done this way (or have OpenOffice convert TTF fonts to Type1 and
embed the results in the PostScript it generates).
Comment 3 Dan Williams 2004-02-27 10:59:37 EST
Please try current OOo 1.1.0, and reopen if problem still occurs. 
Specifically, use the File->Export to PDF functionality and see if
that works.

Note You need to log in before you can comment on or make changes to this bug.